Package Details: yasem-git 0.1-29

Git Clone URL: https://aur.archlinux.org/yasem-git.git (read-only, click to copy)
Package Base: yasem-git
Description: IPTV STB emulator
Upstream URL: https://github.com/mvasilchuk/yasem
Licenses: GPL2
Submitter: VaMpir
Maintainer: VaMpir
Last Packager: VaMpir
Votes: 2
Popularity: 0.000000
First Submitted: 2014-07-15 19:18
Last Updated: 2016-10-15 19:06

Latest Comments

masterbot commented on 2019-12-16 14:11

Compilation Failed

codec/audio/AudioEncoderFFmpeg.cpp:151:23: error: ‘FF_MIN_BUFFER_SIZE’ was not declared in this scope 151 | if (buffer_size < FF_MIN_BUFFER_SIZE) |

                   ^~~~~~~~~~~~~~~~~~

codec/audio/AudioEncoderFFmpeg.cpp: In member function ‘virtual bool QtAV::AudioEncoderFFmpeg::encode(const QtAV::AudioFrame&)’: codec/audio/AudioEncoderFFmpeg.cpp:204:66: warning: ‘int avcodec_encode_audio2(AVCodecContext, AVPacket, const AVFrame, int)’ is deprecated [-Wdeprecated-declarations] 204 | int ret = avcodec_encode_audio2(d.avctx, &pkt, f, &got_packet); | ^ In file included from /usr/include/libavformat/avformat.h:317, from ./QtAV/private/AVCompat.h:46, from ./QtAV/private/AVEncoder_p.h:29, from codec/audio/AudioEncoderFFmpeg.cpp:23: /usr/include/libavcodec/avcodec.h:5423:5: note: declared here

5423 | int avcodec_encode_audio2(AVCodecContext avctx, AVPacket avpkt, | ^~~~~~~~~~~~~~~~~~~~~

codec/audio/AudioEncoderFFmpeg.cpp:204:66: warning: ‘int avcodec_encode_audio2(AVCodecContext, AVPacket, const AVFrame, int)’ is deprecated [-Wdeprecated-declarations] 204 | int ret = avcodec_encode_audio2(d.avctx, &pkt, f, &got_packet); | ^ In file included from /usr/include/libavformat/avformat.h:317, from ./QtAV/private/AVCompat.h:46, from ./QtAV/private/AVEncoder_p.h:29, from codec/audio/AudioEncoderFFmpeg.cpp:23: /usr/include/libavcodec/avcodec.h:5423:5: note: declared here

5423 | int avcodec_encode_audio2(AVCodecContext avctx, AVPacket avpkt, | ^~~~~~~~~~~~~~~~~~~~~

make[3]: [Makefile.libQtAV:2163: ../.obj/QtAV_linux_x86_64/AudioEncoderFFmpeg.o] Error 1 make[3]: Leaving directory '/tmp/yaourt-tmp-chris/aur-yasem-git/src/yasem/plugins/yasem-qtav-mediaplayer/QtAV/src' make[2]: [Makefile:50: sub-src-libQtAV-pro-make_first] Error 2 make[2]: Leaving directory '/tmp/yaourt-tmp-chris/aur-yasem-git/src/yasem/plugins/yasem-qtav-mediaplayer/QtAV' make[1]: [Makefile:48: sub-QtAV-make_first-ordered] Error 2 make[1]: Leaving directory '/tmp/yaourt-tmp-chris/aur-yasem-git/src/yasem/plugins/yasem-qtav-mediaplayer' make: [Makefile:447: sub-plugins-yasem-qtav-mediaplayer-make_first-ordered] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build yasem-git.

kole commented on 2016-03-11 09:16

Compilation fails with

ImageConverter_p.h: In constructor ‘QtAV::ImageConverterPrivate::ImageConverterPrivate()’:
ImageConverter_p.h:39:18: error: ‘PIX_FMT_YUV420P’ was not declared in this scope
, fmt_in(PIX_FMT_YUV420P)
^
ImageConverter_p.h:40:19: error: ‘PIX_FMT_RGB32’ was not declared in this scope
, fmt_out(PIX_FMT_RGB32)


I think this is caused by ffmpeg 3.0, package should be patched to use ffmpeg 2.8 library.

VaMpir commented on 2015-03-30 15:40

DuneHD emulation plugin is now working

VaMpir commented on 2015-01-13 21:21

Dune HD and Samsung Smart TV support are broken now so they are not available to use.

VaMpir commented on 2014-07-15 19:23

IPTV Set-Top-Box emulator. Still in development. Very alpha version.

Supports:
- MAG 250/AuraHD.
- DuneHD (basic support);
- Samsung Smart TV (basic support; most portals doesn't work);

GUI configuration isn't available yet, so if you need to change something go to ~/.config/yasem.